Billing Policy - List Billing Policies
Get the list of billing policies for the tenant.
GET https://api.powerplatform.com/licensing/billingPolicies?api-version=2024-10-01
GET https://api.powerplatform.com/licensing/billingPolicies?$top={$top}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
The API version. |
|
$top
|
query |
string |
The ISV contract ID. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Billing |
The ISV billing instrument information. |
|
Billing |
|
|
Billing |
|
|
Billing |
The desired ISV contract status. |
| Principal | |
|
Principal |
BillingInstrumentModel
The ISV billing instrument information.
| Name | Type | Description |
|---|---|---|
| id |
string |
|
| resourceGroup |
string |
The resource group within the tenant subscription. |
| subscriptionId |
string (uuid) |
The tenant subscription Id. |
BillingPolicyResponseModel
| Name | Type | Description |
|---|---|---|
| billingInstrument |
The ISV billing instrument information. |
|
| createdBy | ||
| createdOn |
string (date-time) |
|
| id |
string |
|
| lastModifiedBy | ||
| lastModifiedOn |
string (date-time) |
|
| location |
string |
|
| name |
string |
|
| status |
The desired ISV contract status. |
BillingPolicyResponseModelResponseWithOdataContinuation
| Name | Type | Description |
|---|---|---|
| @odata.nextLink |
string |
|
| value |
BillingPolicyStatus
The desired ISV contract status.
| Value | Description |
|---|---|
| Enabled | |
| Disabled |
Principal
| Name | Type | Description |
|---|---|---|
| id |
string |
|
| type |
PrincipalType
| Value | Description |
|---|---|
| None | |
| Application | |
| User | |
| DelegatedAdmin |